package com.yonge.cooleshow.biz.dal.dao;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import com.yonge.cooleshow.biz.dal.entity.CourseHomework;
import com.yonge.cooleshow.biz.dal.vo.CourseHomeworkVo;
import com.yonge.cooleshow.biz.dal.dto.search.CourseHomeworkSearch;


public interface CourseHomeworkDao extends BaseMapper<CourseHomework>{
	/**
	 * 查询详情
     * @author liweifan
     * @date 2022-03-30 13:53:51
     * @return: com.yonge.cooleshow.biz.dal.vo.CourseHomeworkVo
	 */
	CourseHomeworkVo detail(@Param("id") Long id);

	/**
	 * 分页查询
     * @author liweifan
     * @date 2022-03-30 13:53:51
     * @return: com.yonge.cooleshow.biz.dal.vo.CourseHomeworkVo
	 */
	List<CourseHomeworkVo> selectPage(@Param("page") IPage page, @Param("param") CourseHomeworkSearch courseHomework);
	
}