package com.yonge.cooleshow.biz.dal.dao;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yonge.cooleshow.biz.dal.entity.TeacherStyleVideo;
import org.apache.ibatis.annotations.Param;

public interface TeacherStyleVideoDao extends BaseMapper<TeacherStyleVideo>{
    /***
     * 查询老师风采视频
     * @author liweifan
     * @param: userId
     * @updateTime 2022/4/8 15:09
     * @return: java.util.List<com.yonge.cooleshow.biz.dal.entity.TeacherStyleVideo>
     */
    List<TeacherStyleVideo> selectListByUserId(@Param("userId") Long userId);
    /***
     * 删除老师风采视频，留下oldIds
     * @author liweifan
     * @param: userId
     * @param: oldIds
     * @updateTime 2022/4/8 15:09
     * @return: java.lang.Integer
     */
    Integer removeByUserIdAndOldIds(@Param("userId")Long userId,@Param("oldIds") List<Long> oldIds);
}