package com.yonge.cooleshow.biz.dal.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yonge.cooleshow.biz.dal.vo.CourseHomeworkVo;
import com.yonge.cooleshow.biz.dal.dto.search.CourseHomeworkSearch;
import com.yonge.cooleshow.biz.dal.entity.CourseHomework;

/**
 * 课程作业表 服务类
 * @author liweifan
 * @date 2022-03-30
 */
public interface CourseHomeworkService extends IService<CourseHomework>  {

	/**
     * 查询详情
     * @author liweifan
 	 * @date 2022-03-30
     */
	CourseHomeworkVo detail(Long id);

    /**
     * 分页查询
     * @author liweifan
 	 * @date 2022-03-30
     */
    IPage<CourseHomeworkVo> selectPage(IPage<CourseHomeworkVo> page, CourseHomeworkSearch query);
}