package com.yonge.cooleshow.biz.dal.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.yonge.cooleshow.biz.dal.entity.CourseHomework;
import com.yonge.cooleshow.biz.dal.vo.CourseHomeworkVo;
import com.yonge.cooleshow.biz.dal.dto.search.CourseHomeworkSearch;
import com.yonge.cooleshow.biz.dal.dao.CourseHomeworkDao;
import com.yonge.cooleshow.biz.dal.service.CourseHomeworkService;


@Service
public class CourseHomeworkServiceImpl extends ServiceImpl<CourseHomeworkDao, CourseHomework> implements CourseHomeworkService {

	@Override
    public CourseHomeworkVo detail(Long id) {
        CourseHomeworkVo detail = baseMapper.detail(id);
        return detail;
    }
    
     @Override
    public IPage<CourseHomeworkVo> selectPage(IPage<CourseHomeworkVo> page, CourseHomeworkSearch query){
        return page.setRecords(baseMapper.selectPage(page, query));
    }
	
}