package com.yonge.cooleshow.biz.dal.service.impl;

import com.yonge.cooleshow.biz.dal.service.HomeService;
import com.yonge.cooleshow.biz.dal.service.MusicSheetService;
import com.yonge.cooleshow.biz.dal.service.TeacherAuthEntryRecordService;
import com.yonge.cooleshow.biz.dal.service.TeacherAuthMusicianRecordService;
import com.yonge.cooleshow.biz.dal.vo.HomeTotalVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @Author: liweifan
 * @Data: 2022/3/30 18:08
 */
@Service
public class HomeServiceImpl implements HomeService {
    @Autowired
    private TeacherAuthEntryRecordService entryRecordService;
    @Autowired
    private TeacherAuthMusicianRecordService musicianRecordService;
    @Autowired
    private MusicSheetService musicSheetService;
    @Override
    public HomeTotalVo getUserToDoNum(Long id) {
        Integer entryNum = entryRecordService.getUserToDoNum();
        Integer musicianNum = musicianRecordService.getUserToDoNum();

        HomeTotalVo homeTotalVo = new HomeTotalVo();
        homeTotalVo.setEntryNum(entryNum);
        homeTotalVo.setMusicianNum(musicianNum);
        //todo 待审乐谱
        homeTotalVo.setMusicNum(0);
        return homeTotalVo;
    }
}
