package com.yonge.cooleshow.biz.dal.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.yonge.cooleshow.biz.dal.entity.StudentCourseHomework;
import com.yonge.cooleshow.biz.dal.vo.StudentCourseHomeworkVo;
import com.yonge.cooleshow.biz.dal.dto.search.StudentCourseHomeworkSearch;
import com.yonge.cooleshow.biz.dal.dao.StudentCourseHomeworkDao;
import com.yonge.cooleshow.biz.dal.service.StudentCourseHomeworkService;


@Service
public class StudentCourseHomeworkServiceImpl extends ServiceImpl<StudentCourseHomeworkDao, StudentCourseHomework> implements StudentCourseHomeworkService {

	@Override
    public StudentCourseHomeworkVo detail(Long id) {
        StudentCourseHomeworkVo detail = baseMapper.detail(id);
        return detail;
    }
    
     @Override
    public IPage<StudentCourseHomeworkVo> selectPage(IPage<StudentCourseHomeworkVo> page, StudentCourseHomeworkSearch query){
        return page.setRecords(baseMapper.selectPage(page, query));
    }
	
}