package com.yonge.cooleshow.biz.dal.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Author: liweifan
 * @Data: 2022/3/21 18:37
 */
@ApiModel(value = "StudentTotalVo对象", description = "学生统计信息返回")
public class StudentTotalVo implements Serializable {
    @ApiModelProperty("对应user表用户编号")
    private Long userId;
    @ApiModelProperty("累计练习天数")
    private Integer exerciseDays;
    @ApiModelProperty("累计练习时长")
    private Double exerciseHours;
    @ApiModelProperty("累计评测次数")
    private Integer testingNum;
    @ApiModelProperty("已完成课时数")
    private Integer finshClassHours;
    @ApiModelProperty("剩余课时数")
    private Integer unfinshClassHours;
    @ApiModelProperty("关注老师数")
    private Integer starTeacherNum;

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Integer getExerciseDays() {
        return exerciseDays;
    }

    public void setExerciseDays(Integer exerciseDays) {
        this.exerciseDays = exerciseDays;
    }

    public Double getExerciseHours() {
        return exerciseHours;
    }

    public void setExerciseHours(Double exerciseHours) {
        this.exerciseHours = exerciseHours;
    }

    public Integer getTestingNum() {
        return testingNum;
    }

    public void setTestingNum(Integer testingNum) {
        this.testingNum = testingNum;
    }

    public Integer getFinshClassHours() {
        return finshClassHours;
    }

    public void setFinshClassHours(Integer finshClassHours) {
        this.finshClassHours = finshClassHours;
    }

    public Integer getUnfinshClassHours() {
        return unfinshClassHours;
    }

    public void setUnfinshClassHours(Integer unfinshClassHours) {
        this.unfinshClassHours = unfinshClassHours;
    }

    public Integer getStarTeacherNum() {
        return starTeacherNum;
    }

    public void setStarTeacherNum(Integer starTeacherNum) {
        this.starTeacherNum = starTeacherNum;
    }
}
