package com.yonge.cooleshow.biz.dal.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Author: liweifan
 * @Data: 2022/3/21 18:37
 */
@ApiModel(value = "TeacherTotalVo对象", description = "老师统计信息返回")
public class TeacherTotalVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("对应user表用户编号")
    private Long userId;
    @ApiModelProperty("星级")
    private Double starGrade;
    @ApiModelProperty("粉丝数")
    private Integer fansNum;
    @ApiModelProperty("已上课时")
    private Integer expTime;
    @ApiModelProperty("未上课时")
    private Integer unExpTime;

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Integer getFansNum() {
        return null == fansNum ? 0 : fansNum;
    }

    public void setFansNum(Integer fansNum) {
        this.fansNum = fansNum;
    }

    public Integer getExpTime() {
        return null == expTime ? 0 : expTime;
    }

    public void setExpTime(Integer expTime) {
        this.expTime = expTime;
    }

    public Integer getUnExpTime() {
        return null == unExpTime ? 0 : unExpTime;
    }

    public void setUnExpTime(Integer unExpTime) {
        this.unExpTime = unExpTime;
    }

    public Double getStarGrade() {
        return null == starGrade ? 0.0 : starGrade;
    }

    public void setStarGrade(Double starGrade) {
        this.starGrade = starGrade;
    }

}
