package com.yonge.cooleshow.biz.dal.dto.search;

import com.yonge.cooleshow.common.page.QueryInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

/**
 * @Author: cy
 * @Date: 2022/4/11
 */
@ApiModel(value = "MyCourseSearch")
public class MyCourseSearch extends QueryInfo {
    @ApiModelProperty(value = "课程状态(NOT_START:未开始 ING:进行中 COMPLETE:已完成 CANCEL:已取消)")
    private String status;

    @ApiModelProperty(value = "上课日期")
    private String classDate;

    @ApiModelProperty(value = "声部id")
    private Integer subjectId;

    @ApiModelProperty(value = "老师id")
    private Long teacherId;

//    @ApiModelProperty(value = "筛选条件")
//    private String search;

    public Long getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(Long teacherId) {
        this.teacherId = teacherId;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getClassDate() {
        return classDate;
    }

    public void setClassDate(String classDate) {
        this.classDate = classDate;
    }

    public Integer getSubjectId() {
        return subjectId;
    }

    public void setSubjectId(Integer subjectId) {
        this.subjectId = subjectId;
    }
}
