package com.yonge.cooleshow.biz.dal.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yonge.cooleshow.biz.dal.vo.StudentCourseHomeworkVo;
import com.yonge.cooleshow.biz.dal.dto.search.StudentCourseHomeworkSearch;
import com.yonge.cooleshow.biz.dal.entity.StudentCourseHomework;

/**
 * 学生课程作业 服务类
 * @author liweifan
 * @date 2022-03-30
 */
public interface StudentCourseHomeworkService extends IService<StudentCourseHomework>  {

	/**
     * 查询详情
     * @author liweifan
 	 * @date 2022-03-30
     */
	StudentCourseHomeworkVo detail(Long id);

    /**
     * 分页查询
     * @author liweifan
 	 * @date 2022-03-30
     */
    IPage<StudentCourseHomeworkVo> selectPage(IPage<StudentCourseHomeworkVo> page, StudentCourseHomeworkSearch query);
}