package com.yonge.cooleshow.biz.dal.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yonge.cooleshow.biz.dal.vo.UserBankCardVo;
import com.yonge.cooleshow.biz.dal.dto.search.UserBankCardSearch;
import com.yonge.cooleshow.biz.dal.entity.UserBankCard;

/**
 * 用户绑卡记录表 服务类
 * @author liweifan
 * @date 2022-03-30
 */
public interface UserBankCardService extends IService<UserBankCard>  {

	/**
     * 查询详情
     * @author liweifan
 	 * @date 2022-03-30
     */
	UserBankCardVo detail(Long id);

    /**
     * 分页查询
     * @author liweifan
 	 * @date 2022-03-30
     */
    IPage<UserBankCardVo> selectPage(IPage<UserBankCardVo> page, UserBankCardSearch query);
}