package com.yonge.cooleshow.biz.dal.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.yonge.cooleshow.biz.dal.entity.UserBankCard;
import com.yonge.cooleshow.biz.dal.vo.UserBankCardVo;
import com.yonge.cooleshow.biz.dal.dto.search.UserBankCardSearch;
import com.yonge.cooleshow.biz.dal.dao.UserBankCardDao;
import com.yonge.cooleshow.biz.dal.service.UserBankCardService;


@Service
public class UserBankCardServiceImpl extends ServiceImpl<UserBankCardDao, UserBankCard> implements UserBankCardService {

	@Override
    public UserBankCardVo detail(Long id) {
        UserBankCardVo detail = baseMapper.detail(id);
        return detail;
    }
    
     @Override
    public IPage<UserBankCardVo> selectPage(IPage<UserBankCardVo> page, UserBankCardSearch query){
        return page.setRecords(baseMapper.selectPage(page, query));
    }
	
}